|
|
|
|
|
|
|
|
|
|
xen-changelog
[Xen-changelog] Add an install-time check for hotplug.
# HG changeset patch
# User kaf24@xxxxxxxxxxxxxxxxxxxx
# Node ID 7b97bc1d1c1d3b92b57fdc25bc555a4017531c23
# Parent 46f92c4fde1de5c33ce358d55addf22be91af980
Add an install-time check for hotplug.
The hotplug subsystem is currently needed for block devices to work, as
of changeset 6742:e9d01c5dc7b4d6b7cda9ade0d137ddb89bb204cc. Add a
script to check for the presence of hotplug and warn if it isn't found.
Signed-off-by: Michael Vrable <mvrable@xxxxxxxxxxx>
diff -r 46f92c4fde1d -r 7b97bc1d1c1d tools/check/check_hotplug
--- /dev/null Fri Sep 23 16:47:48 2005
+++ b/tools/check/check_hotplug Fri Sep 23 19:09:59 2005
@@ -0,0 +1,10 @@
+#!/bin/bash
+# CHECK-INSTALL
+
+function error {
+ echo
+ echo ' *** Check for the hotplug scripts (hotplug) FAILED'
+ exit 1
+}
+
+which hotplug 1>/dev/null 2>&1 || error
_______________________________________________
Xen-changelog mailing list
Xen-changelog@xxxxxxxxxxxxxxxxxxx
http://lists.xensource.com/xen-changelog
|
<Prev in Thread] |
Current Thread |
[Next in Thread> |
- [Xen-changelog] Add an install-time check for hotplug.,
Xen patchbot -unstable <=
|
|
|
|
|